Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper Class Reference

Common string field value mapper implementation. More...

Inheritance diagram for eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper:

## Public Member Functions
| canMap (Field $field)
| Check if field can be mapped. More...
| map (Field $field)
| Map field value to a proper search engine representation. More...
Public Member Functions inherited from eZ\Publish\Core\Search\Common\FieldValueMapper
| canMap (Field $field)
| Check if field can be mapped. More...
| map (Field $field)
| Map field value to a proper search engine representation. More...

## Public Attributes
const | REPLACE_WITH_SPACE_PATTERN = '([\x09\x0B\x0C]+)'
const | REMOVE_PATTERN = '([\x00-\x08\x0E-\x1F]+)'

## Protected Member Functions
| convert ($value)
| Convert to a proper search engine representation. More...

## Detailed Description

Common string field value mapper implementation.

Definition at line 16 of file StringMapper.php.

## Member Function Documentation

## ◆ canMap()

eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper::canMap | ( | Field | $field | ) |

Check if field can be mapped.

Returns
  bool

Reimplemented in eZ\Publish\Core\Search\Common\FieldValueMapper\RemoteIdentifierMapper, eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleStringMapper, and eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleRemoteIdentifierMapper.

Definition at line 26 of file StringMapper.php.

## ◆ convert()

eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper::convert | ( |  | $value | ) |
| protected

Convert to a proper search engine representation.

Parameters

  mixed | $value |

Returns
  string

Definition at line 49 of file StringMapper.php.

Referenced by eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleRemoteIdentifierMapper\map(), eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleStringMapper\map(), and eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper\map().

## ◆ map()

eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper::map | ( | Field | $field | ) |

Map field value to a proper search engine representation.

Returns
  mixed

Reimplemented in eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleStringMapper, and eZ\Publish\Core\Search\Common\FieldValueMapper\MultipleRemoteIdentifierMapper.

Definition at line 37 of file StringMapper.php.

References eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper\convert().

## Member Data Documentation

## ◆ REMOVE_PATTERN

const eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper::REMOVE_PATTERN = '([\x00-\x08\x0E-\x1F]+)'

Definition at line 19 of file StringMapper.php.

## ◆ REPLACE_WITH_SPACE_PATTERN

const eZ\Publish\Core\Search\Common\FieldValueMapper\StringMapper::REPLACE_WITH_SPACE_PATTERN = '([\x09\x0B\x0C]+)'

Definition at line 18 of file StringMapper.php.

The documentation for this class was generated from the following file:

- StringMapper.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.